Skip to content
GET/{organizationId}/{mandateId}/booking/views/{viewId}

Get view

Returns a specific booking view with all of its details for a given mandate

Required permissions:

  • mandate.read

  • bookingView.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
viewIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/booking/views/{viewId}
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/views/{viewId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

ObjectId as string

shortIdstringrequired

minLength: 6

maxLength: 6

typestringrequired

Options:

eventresource
stylestringrequired

Options:

grouplistscheduleplansites
namestringrequired

minLength: 1

maxLength: 60

descriptionstringrequired

maxLength: 160

pageSizeintegerrequired

maximum: 100

exclusiveMinimum: 0

allMandatesbooleanrequired
tagsstring arrayrequired
allowSearchbooleanrequired
allowCategoryFilterbooleanrequired
showAvailableAmountbooleanrequired
showPricebooleanrequired
hideNotAvailablebooleanrequired
hideCanceledbooleanoptional
hidePassedBookingbooleanoptional
hideUpcomingBookingbooleanoptional

Additional properties are not allowed.

Response

200
{
  "_id": "000000000000000000000001",
  "mandate": "000000000000000000000001",
  "shortId": "string",
  "type": "event",
  "style": "group",
  "name": "string",
  "description": "string",
  "pageSize": 1,
  "allMandates": true,
  "tags": "string",
  "allowSearch": true,
  "allowCategoryFilter": true,
  "showAvailableAmount": true,
  "showPrice": true,
  "offerModes": [
    "private"
  ],
  "hideNotAvailable": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}